/*
 Theme Name:   Dustless Floorsanding
 Theme URI:    https://generatepress.com
 Description:  Custom WordPress theme for Australian Dustless Floorsanding.
 Author:       Weber Design Studio
 Author URI:   https://weberdesignstudio.com.au
 Template:     generatepress
 Version:      0.1
*/

/* FLEXBOX - GLOBAL */
.flex-container {display:flex;}

/* HEADER */

	/* Logo */
	.navigation-branding img, .site-logo.mobile-header-logo img {height:auto !important;}

	/* Border */
	nav#mobile-header {z-index:100000 !important;}

	header.site-header, nav#mobile-header {-webkit-box-shadow: 0px 10px 20px 0px rgba(0,0,0,0.25);-moz-box-shadow: 0px 10px 20px 0px rgba(0,0,0,0.25);box-shadow: 0px 10px 20px 0px rgba(0,0,0,0.25); z-index:1;}

	header.site-header::after, #mobile-header::after {content:""; display:block; height:6px; width:100%; position:absolute; /*background:url('https://dustlessfloorsanding.com.au/wp-content/uploads/2022/07/soft-wave-border.svg') repeat-x;*/ background-size:contain; z-index:1;}

	/* Mobile Header */
	a.mob-header-phone {font-size: 20px; color:#000;}
	a.mob-header-phone i {color: #6f1911;}
.adfs-phone-text {letter-spacing:0.06em;}

/* NAVIGATION */

	/* Primary */
	.main-navigation.navigation-stick.has-sticky-branding .inside-navigation.grid-container {padding-left:0; padding-right:0;}

	/* Mobile-frst */
	#mobile-header {background:#fff; -webkit-box-shadow: 0px 5px 15px 5px rgba(0,0,0,0.3); box-shadow: 0px 5px 15px 5px rgba(0,0,0,0.15);}
	#generate-slideout-menu {background:#fff;}

/* CUSTOM PAGE HEADERS */

	/* Page Title Bar */
	.page-hero .flex-container {align-items: center; justify-content: center;}
	.page-hero .flex-item.adf-title-left {width:70%;}
	.page-hero .flex-item.adf-title-right {width:30%; text-align:right; justify-content:right;}

	.adf-title-header.page-hero {background-size:auto; background-repeat:repeat; background-position:center;}
	.adf-title-header.page-hero h1 {font-size:32px; text-transform:uppercase; letter-spacing:0.05em; margin-bottom:2px;}
	.adf-breadcrumb, .adf-page-subtitle {font-size:16px; margin:0; text-transform:normal;}
	
	/* Page Title Bar - Right column */
	.page-hero .phone-cta {display:flex; align-items:end; justify-content:end;}	
	.page-hero .phone-cta .phone-line-1 {font-size:18px; font-weight:500;}
	.page-hero .phone-cta .phone-line-2 {font-size:26px; font-weight:700;}
	.page-hero .phone-cta i {margin-right:5px; margin-bottom:5px; font-size:24px;}
	.page-hero .phone-cta .phone-line-1, .page-hero .phone-cta .phone-line-2 {display:block; line-height:1.3;}

/* CONTENT */

	/* Featured images */
	.featured-image-banner {background-size: cover; background-position: center center;}

	/* Testimonials Slider */
	.adfs-testimonial-slider h3.entry-title {order:2;}
	.adfs-testimonial-slider {padding-bottom:20px;}
	.adfs-testimonial-slider h3.entry-title a {pointer-events:none;}

	/* Testimonials Flexbox Layout */
	.post-type-archive-testimonials .inside-article {display:flex; flex-direction:column;}
	.post-type-archive-testimonials .entry-content {margin-top:0; order:1;}
	.post-type-archive-testimonials .entry-content p {margin-bottom:1.5em;}
	.post-type-archive-testimonials .entry-title {pointer-events:none;}
	.post-type-archive-testimonials .entry-title a {color:#1F2866 !important;}
	.post-type-archive-testimonials .entry-title:before {content:"\2014"; margin-right:4px;}
	.post-type-archive-testimonials h2 {font-size:16px; font-weight:700; width:100%;}
	.entry-header {width:100%;order:2;}
	.post-type-archive-testimonials .generate-columns .inside-article {background: #f7f7f7; padding: 30px; -webkit-border-radius: 15px;
	-moz-border-radius: 15px;
	border-radius: 15px;}
	.post-type-archive-testimonials .adf-page-subtitle {display:none !important;}

	/* FAQs Page */
	.adfs-faq .elementor-accordion .elementor-accordion-item {border-left:none; border-right:none; border-top:none;}

	/* Contact us */
	span.adf-phone {font-size:28px; display:block; font-weight:500;} /* Increase font size of phone number */

/* TYPOGRAPHY */

	/* Global */
	p:last-child {margin:0;}

	/* Underlined headings */
	.heading-underline:after {display:block; content:""; height:2px; background:#6f1911; width:80px; margin-top:25px; margin-bottom:10px;}
	.centered-heading:after {margin-left:auto; margin-right:auto;}


/* ----------------------------------------------------- */

/* MEDIA QUERIES */

/* target header nav drop-point in between tablet and desktop devices */
@media and (min-width:1281px) and (max-width:1400px){

	/* Site logo and header */
	.site-logo {margin-bottom:0;}
	.inside-header {padding: 20px 60px 0px 60px;}

}

/* max-width 1280px */
@media screen and (max-width:1280px){
	
	/* Mobile Header Logo */
	.site-logo.mobile-header-logo a {max-width:280px;}
	
	/* Mobile Header Phone Number */
	a.mob-header-phone i {margin-right:5px;}
	
}

/* max-width 1024px */
@media screen and (max-width:1024px){
	
	/* Page Title Bar */
	.page-hero .flex-item.adf-title-left {width:60%;}
	.page-hero .flex-item.adf-title-right {width:40%;}
	
}


/* min-width 769px */
@media screen and (min-width:769px){
.post-type-archive-testimonials .generate-columns {margin-bottom: 30px; padding-left: 30px;}
}

/* max-width 768px */
@media screen and (max-width:768px){
	
	/* Mobile Header Phone Number */
	.adfs-phone-text {display:none;}
	
	/* Mobile Header Logo */
	.site-logo.mobile-header-logo a {max-width:220px !important;}
	
}

/* max-width 600px */
@media screen and (max-width:600px){

	/* Mobile Header Phone Number */
	a.mob-header-phone i {margin-right:0;}
	
	/* Page Title Bar */
	.page-hero .flex-item.adf-title-left {width:100%;}
	.page-hero .flex-item.adf-title-right {width:100%; display:none !important;}
	
}

/* INACTIVE STYLES */

/*.grid-70 {float:left;}
.grid-30 {float:right;}
.grid-container::after {display:block; content:""; clear:both;}*/

/*header.site-header {background: rgb(255,255,255);
background: -moz-linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(205,215,220,1) 100%);
background: -webkit-linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(205,215,220,1) 100%);
background: linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(205,215,220,1) 100%);
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ffffff",endColorstr="#cdd7dc",GradientType=1);}*/

/* BLUE */
/*.adf-title-header.page-hero {background: rgb(36,39,80);
background: -moz-linear-gradient(90deg, rgba(36,39,80,1) 0%, rgba(52,84,149,1) 100%);
background: -webkit-linear-gradient(90deg, rgba(36,39,80,1) 0%, rgba(52,84,149,1) 100%);
background: linear-gradient(90deg, rgba(36,39,80,1) 0%, rgba(52,84,149,1) 100%);
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#242750",endColorstr="#345495",GradientType=1);}*/

/* RED */
/*.adf-title-header.page-hero {background: rgb(111,25,17);
background: -moz-linear-gradient(90deg, rgba(111,25,17,1) 0%, rgba(176,27,13,1) 100%);
background: -webkit-linear-gradient(90deg, rgba(111,25,17,1) 0%, rgba(176,27,13,1) 100%);
background: linear-gradient(90deg, rgba(111,25,17,1) 0%, rgba(176,27,13,1) 100%);
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#6f1911",endColorstr="#b01b0d",GradientType=1);}*/